// plugin javascript code to support column  formatters and context menu actions

plugins.menu.view_file = function(file) {
   var rowid= getRowId(decodeURI(file));
   viewRow('#filelist',rowid);
};

plugins.menu.reload_fdir = function(file1) {
   var file =decodeURI(file1);
   var dir = file.substr(0,file.lastIndexOf("/"));
   reloadDir(dir);
};

plugins.dmenu.reload_dir = function(dir1) {
   var dir = decodeURI(dir1);
   reloadDir(dir);
};

plugins.dmenu.reload_node = function(dir) {
   var rowid= getRowId(decodeURI(dir));
   reloadNode(rowid);
};

plugins.dmenu.view_node = function(dir) {
   var rowid= getRowId(decodeURI(dir));
   viewRow('#dirlist',rowid);
};

plugins.menu.view = function(file) {
   var rowid= getRowId(decodeURI(file));
   viewFile(rowid);
};

plugins.menu.play = function(file) {
   window.location = '/browse/play.jim?file=' + file;
};

plugins.menu.theTVDB = function(file) {
   window.location = '/browse/tvdb/episode.jim?file=' + file;
};

plugins.dmenu.dedupdir = function(dir) {
   window.location = '/dedup/dedup.jim?dir=' + dir;
};

plugins.dmenu.new_dir = function(dir) {
      // set dir field in form, no id :-(
      var cdir = $("form#newdirform_form input:first").val();

      $('form#newdirform_form input:first').val(decodeURI(dir));

      $('#newdirform').dialog({
         autoOpen: true,
         height: 'auto', width: 'auto',
         modal: true,
         buttons: {
            "Create": newdir_submit,
            "Cancel": function() {
               $(this).dialog('close');
            }
         },
         close: function() { $('#newdirname').val(''); }
      });
};

plugins.dmenu.theTVDB = function(dir) {
   var cdir = window.dir;
   window.dir = decodeURI(dir); // Set global var
   $('#tvdbsetseries').show().enable().trigger('click').hide();
   //window.dir = cdir; // Set global var
};


